Bug 498693 - RFE: Waiting for 3.2.22++ in F-10
RFE: Waiting for 3.2.22++ in F-10
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 22:28 EDT by Ellen Shull
Modified: 2014-01-21 18:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 16:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ellen Shull 2009-05-01 22:28:08 EDT
Description of problem:
$ yum provides "*/librpmbuild.so"
Loaded plugins: allowdowngrade, downloadonly, fastestmirror, kmdl
Error: Caching enabled but no local cache of //var/cache/yum/updates-debuginfo/filelists.sqlite.bz2 from updates-debuginfo

Version-Release number of selected component (if applicable):
yum-3.2.21-2.fc10.noarch

How reproducible:
whenever needed cache file doesn't exists

Expected results:
I understand what's going on, but the average user won't.
a) This is not an error, on either the user's part or yum's--both are doing the right thing
b) This message gives no idea as to the proper course of action to continue

A better message might be something like:
"Sorry; I could normally handle this query for you, but to do that I need a cached file that can only be generated as root.  Please try rerunning the command as root."
Comment 1 James Antill 2009-05-04 01:44:20 EDT
 This is fixed in 3.2.22, as we use a user dir. instead of the root dir. in caching mode.
Comment 2 seth vidal 2009-05-11 11:03:01 EDT
I'll make a 3.2.22 build in updates-testing today.
Comment 3 Adam Miller 2009-06-29 16:12:17 EDT
yum 3.2.23 has been released to Fedora 10 by Seth, closing bug.

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-5328

Note You need to log in before you can comment on or make changes to this bug.